local Lynloc = CreateFrame("Button", "Lynloc", UIParent)
-- frame
local movable = true --false/true
local frame_anchor = "CENTER"
local frame_x = 0
local frame_y = 5
if movable == false then
        Lynloc:ClearAllPoints()
        Lynloc:SetPoint('BOTTOM', UIParent, "CENTER", 0, 0)
end
Lynloc:EnableMouse(true)
Lynloc:RegisterForClicks('AnyUp')

if movable == true then
        Lynloc:ClearAllPoints()
	Lynloc:SetPoint('BOTTOM', UIParent, "CENTER", 0, 0)
	Lynloc:SetClampedToScreen(false)
	Lynloc:SetMovable(true)
	Lynloc:SetUserPlaced(true)
	Lynloc:SetScript('OnMouseDown', function()
        		if(IsAltKeyDown()) then
			Lynloc:ClearAllPoints()
			Lynloc:StartMoving()
		end
	end)
	Lynloc:SetScript('OnMouseUp', function()
		Lynloc:StopMovingOrSizing()
	end)
end

-- font
local font = "Fonts\\ARIALN.ttf"
local size = 10
local outline = true 
local shadow = false
local classcolors = true -- true/false - if false, it uses "color" (2 line below)
local class = RAID_CLASS_COLORS[select(2, UnitClass("player"))] -- dont change
local color = { r=1, g=0.4, b=0.6 }
local text_anchor = "CENTER"
-- used locals

local x, y, text, zone
-- new
function Lynloc:new()
	-- frame position
	--self:SetPoint(frame_anchor, UIParent, frame_anchor, frame_x, frame_y)
	self:SetPoint("TOP", UIParent, "TOP", 0, -4 )
	self:SetWidth(250)
	self:SetHeight(13)
	-- create fontstring
	text = self:CreateFontString(nil, "OVERLAY")
	-- text style
	if outline == true then
		text:SetFont(font, size, "OUTLINE")
	else
		text:SetFont(font, size, nil)
	end
	if classcolors == true then
		text:SetTextColor(class.r, class.g, class.b)
	else
		text:SetTextColor(class.r, class.g, class.b)
	end
	if shadow == true then
		text:SetShadowOffset(1, -1)
	else
		text:SetShadowOffset(0, 0)
	end
	text:SetPoint(text_anchor, self)
	
	self:RegisterEvent("ZONE_CHANGED_NEW_AREA")
	
	-- update
	self:SetScript("OnUpdate", self.update) 
	self:SetScript("OnEvent", self.event)
end
function Lynloc:event()
	if (event == "ZONE_CHANGED_NEW_AREA") then 
		SetMapToCurrentZone()
	end
end
-- update function
function Lynloc:update()
	-- get zone map
	zone = GetMinimapZoneText()
	zone = "|c00FFFFFF"..zone.."|r"
	-- get player x,y
        x, y = GetPlayerMapPosition("player")
	-- if x and y 0 then boo
	if(x == 0 and y == 0) then
		coords = "";
	else
		coords = " "..format("%.1d.%.1d",x*100,y*100)
	end
	-- set it
	text:SetText(zone..coords) 
end
-- fire
Lynloc:new()